PAPI_write(3)

NAME
PAPI_write -

Write counter values into counters.

SYNOPSIS

Detailed Description

Parameters:
    EventSet an integer handle for a PAPI event set as created by PAPI_create_eventset
    *values an array to hold the counter values of the counting events

Return values:
    PAPI_ENOEVST The EventSet specified does not exist.
    PAPI_ECMP PAPI_write() is not implemented for this architecture.
    PAPI_ESYS The EventSet is currently counting events and the component could not change the values of the running counters.

PAPI_write() writes the counter values provided in the array values into the event set EventSet. The virtual counters managed by the PAPI library will be set to the values provided. If the event set is running, an attempt will be made to write the values to the running counters. This operation is not permitted by all components and may result in a run-time error.

See Also:
    PAPI_read

Author

Generated automatically by Doxygen for PAPI from the source code.